> For the complete documentation index, see [llms.txt](https://docs.syncrone.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.syncrone.fi/api-reference/yields-api/rest-endpoints.md).

# Rest Endpoints

## GetMetrics

> \*\*\*\
> The GraphQl query for this endpoint is:\
> \`\`\` graphql\
> query GetMetrics {\
> &#x20; metrics(limit: 100, where: {created\_at: {\_gt: "2025-09-12", \_lt: "2025-09-15"}, market\_id: {\_eq: "euler-ethereum-0xe415952f5ee06f8a548f4f7d5be18fbf144b4e4d"}}) {\
> &#x20;   block\
> &#x20;   id\
> &#x20;   borrow\_apy\
> &#x20;   market {\
> &#x20;     collateral\_asset\
> &#x20;     collateral\_asset\_decimals\
> &#x20;     chain\
> &#x20;     collateral\_asset\_symbol\
> &#x20;     loan\_asset\
> &#x20;     loan\_asset\_decimals\
> &#x20;     loan\_asset\_symbol\
> &#x20;     market\_address\
> &#x20;     oracle\
> &#x20;   }\
> &#x20;   supply\_apy\
> &#x20;   utilization\
> &#x20;   nefture\_price\
> &#x20;   oracle\_price\
> &#x20;   total\_borrowed\
> &#x20;   total\_borrowed\_usd\
> &#x20;   total\_supplied\
> &#x20;   total\_supplied\_usd\
> &#x20;   market\_id\
> &#x20;   created\_at\
> &#x20;   oracle\_last\_update\
> &#x20;   timestamp\
> &#x20; }\
> }\
> \`\`\`

````json
{"openapi":"3.0.0","info":{"title":"Rest Endpoints","version":"0.0.1"},"paths":{"api.syncrone.fi/api/yields/graphql":{"post":{"summary":"GetMetrics","description":"***\nThe GraphQl query for this endpoint is:\n``` graphql\nquery GetMetrics {\n  metrics(limit: 100, where: {created_at: {_gt: \"2025-09-12\", _lt: \"2025-09-15\"}, market_id: {_eq: \"euler-ethereum-0xe415952f5ee06f8a548f4f7d5be18fbf144b4e4d\"}}) {\n    block\n    id\n    borrow_apy\n    market {\n      collateral_asset\n      collateral_asset_decimals\n      chain\n      collateral_asset_symbol\n      loan_asset\n      loan_asset_decimals\n      loan_asset_symbol\n      market_address\n      oracle\n    }\n    supply_apy\n    utilization\n    nefture_price\n    oracle_price\n    total_borrowed\n    total_borrowed_usd\n    total_supplied\n    total_supplied_usd\n    market_id\n    created_at\n    oracle_last_update\n    timestamp\n  }\n}\n```","parameters":[{"description":"Your x-api-key will be used for authentication of the API request.","in":"header","name":"x-api-key","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"metrics":{"items":{"description":"columns and relationships of \"metrics\"","nullable":false,"properties":{"block":{"$ref":"#/components/schemas/bigint!"},"borrow_apr":{"$ref":"#/components/schemas/float8"},"borrow_apy":{"$ref":"#/components/schemas/float8"},"created_at":{"$ref":"#/components/schemas/timestamptz"},"id":{"$ref":"#/components/schemas/bigint!"},"market":{"description":"Market details","nullable":true,"properties":{"collateral_asset":{"nullable":true,"title":"String","type":"string"},"collateral_asset_decimals":{"nullable":true,"title":"Int","type":"integer"},"chain":{"nullable":true,"title":"String","type":"string"},"collateral_asset_symbol":{"nullable":true,"title":"String","type":"string"},"loan_asset":{"nullable":true,"title":"String","type":"string"},"loan_asset_decimals":{"nullable":true,"title":"Int","type":"integer"},"loan_asset_symbol":{"nullable":true,"title":"String","type":"string"},"market_address":{"nullable":true,"title":"String","type":"string"},"oracle":{"nullable":true,"title":"String","type":"string"}},"title":"market","type":"object"},"market_id":{"nullable":false,"title":"String","type":"string"},"nefture_price":{"$ref":"#/components/schemas/numeric"},"oracle_last_update":{"$ref":"#/components/schemas/timestamptz"},"oracle_price":{"$ref":"#/components/schemas/numeric"},"supply_apr":{"$ref":"#/components/schemas/float8"},"supply_apy":{"$ref":"#/components/schemas/float8"},"timestamp":{"$ref":"#/components/schemas/timestamptz"},"total_borrowed":{"$ref":"#/components/schemas/numeric"},"total_borrowed_usd":{"$ref":"#/components/schemas/numeric"},"total_supplied":{"$ref":"#/components/schemas/numeric"},"total_supplied_usd":{"$ref":"#/components/schemas/numeric"},"utilization":{"$ref":"#/components/schemas/float8"}},"title":"metrics","type":"object"},"nullable":false,"type":"array"}}}}},"description":"Responses for POST /api/graphql"}}}}},"components":{"schemas":{"bigint!":{"nullable":false,"title":"bigint"},"float8":{"nullable":true,"title":"float8"},"timestamptz":{"nullable":true,"title":"timestamptz"},"numeric":{"nullable":true,"title":"numeric"}}}}
````
